# Exemplos de códigos

## Postman file

*O **Postman** é uma ferramenta que tem como objetivo testar serviços RESTful (Web APIs) por meio do envio de requisições HTTP e da análise do seu retorno.*\
[Download Postman App](https://www.postman.com/downloads/)

{% hint style="success" %}
**Produção**\
Você deverá utilizar a seguinte URL:\
<https://api.positus.global/v2/whatsapp/numbers/{{chave}}/messages>

*Ao contratar e ativar a sua conta de WhatsApp Business API, nós iremos fornecer um media\_id por número e você poderá gerar seus tokens pela plataforma.*
{% endhint %}

{% file src="/files/-MKocOHkPEcVZbDHMFG9" %}
API for production
{% endfile %}

## Sandbox API

{% hint style="info" %}
**Desenvolvimento**\
Você deverá utilizar a sequinte URL:\
[https://api.positus.global/v2/sandbox/whatsapp/numbers/{{chave}}/messages](https://api.positus.global/v2/sandbox/whatsapp/numbers/{{number}}/messages)<br>

*Crie  sua conta na sandbox pelo link* [*https://studio.posit.us/*](https://studio.posit.us/) *e gerar um token seguindo as instruções da tela. N*avegue no menu "webhook" e copiei a URL POST nela esta usa "Chave".

*No ambiente de desenvolvimento você não poderá enviar mensagens HSM, mas todos os demais recursos estão disponiveis para envio e recebimento.*
{% endhint %}

{% file src="/files/-MLmBkSP997NiiDQ\_RiC" %}
API for development SandBox
{% endfile %}

## Exemplos de códigos

{% tabs %}
{% tab title=".NET" %}

## C# - RestSharp

```csharp
var client = new RestClient("https://api.positus.global/v2/sandbox/whatsapp/numbers/{{chave}}/messages");
client.Timeout = -1;
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddHeader("Authorization", "Bearer xxxx");
request.AddParameter("application/json,text/plain", "{\r\n  \"to\": \"+5511999999999\",\r\n  \"type\": \"text\",\r\n  \"text\": {\r\n      \"body\": \"your-message-content\"\r\n  }\r\n}",  ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
Console.WriteLine(response.Content);
```

{% endtab %}

{% tab title="PHP" %}

## PHP - cURL

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => "https://api.positus.global/v2/sandbox/whatsapp/numbers/{{chave}}/messages",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS =>"{\r\n  \"to\": \"+5511999999999\",\r\n  \"type\": \"text\",\r\n  \"text\": {\r\n      \"body\": \"your-message-content\"\r\n  }\r\n}",
  CURLOPT_HTTPHEADER => array(
    "Content-Type: application/json",
    "Authorization: Bearer xxxx"
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}

{% tab title="PYTHON" %}

## Python - http.client

```python
import http.client
import mimetypes
conn = http.client.HTTPSConnection("api.positus.global")
payload = "{\r\n  \"to\": \"+5511999999999\",\r\n  \"type\": \"text\",\r\n  \"text\": {\r\n      \"body\": \"your-message-content\"\r\n  }\r\n}"
headers = {
  'Content-Type': 'application/json',
  'Authorization': 'Bearer xxxx'
}
conn.request("POST", "/v2/sandbox/whatsapp/numbers/{{chave}}/messages", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
```

{% endtab %}

{% tab title="NODEJS" %}

## Nodejs - Request

```javascript
var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://api.positus.global/v2/sandbox/whatsapp/numbers/{{chave}}/messages',
  'headers': {
    'Content-Type': ['application/json'],
    'Authorization': 'Bearer xxxx'
  },
  body: "{\r\n  \"to\": \"+55119999999999\",\r\n  \"type\": \"text\",\r\n  \"text\": {\r\n      \"body\": \"your-message-content\"\r\n  }\r\n}"

};
request(options, function (error, response) { 
  if (error) throw new Error(error);
  console.log(response.body);
});

```

{% endtab %}

{% tab title="JAVASCRIPT" %}

## JavaScript - JQuery

```javascript
var settings = {
  "url": "https://api.positus.global/v2/sandbox/whatsapp/numbers/{{chave}}/messages",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Content-Type": ["application/json"],
    "Authorization": "Bearer xxxx"
  },
  "data": "{\r\n  \"to\": \"+55119999999999\",\r\n  \"type\": \"text\",\r\n  \"text\": {\r\n      \"body\": \"your-message-content\"\r\n  }\r\n}",
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

{% endtab %}

{% tab title="POWESHELL" %}

## PowerShelll - RestMethod

```d
$headers = New-Object "System.Collections.Generic.Dictionary[[String],[String]]"
$headers.Add("Content-Type", "application/json")
$headers.Add("Authorization", "Bearer xxxx")

$body = "{
`n  `"to`": `"+55119999999999`",
`n  `"type`": `"text`",
`n  `"text`": {
`n      `"body`": `"your-message-content`"
`n  }
`n}"

$response = Invoke-RestMethod 'https://api.positus.global/v2/sandbox/whatsapp/numbers/{{chave}}/messages' -Method 'POST' -Headers $headers -Body $body
$response | ConvertTo-Json
```

{% endtab %}

{% tab title="GO" %}

## Go - Native

```
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io/ioutil"
)

func main() {

  url := "https://api.positus.global/v2/sandbox/messages"
  method := "POST"

  payload := strings.NewReader("{
\n  \"to\": \"+55119999999999\",
\n  \"type\": \"text\",
\n  \"text\": {
\n      \"body\": \"your-message-content\"
\n  }
\n}")

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
  }
  req.Header.Add("Content-Type", "application/json")
  req.Header.Add("Authorization", "Bearer xxxx")

  res, err := client.Do(req)
  defer res.Body.Close()
  body, err := ioutil.ReadAll(res.Body)

  fmt.Println(string(body))
}
```

{% endtab %}
{% endtabs %}

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pt.posit.us/integracao/exemplos-de-codigos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
